System.ServiceModel 4.0.0.0 System.Object To be added.

A message header contains optional metadata that describe a message, encapsulated by the class.

Represents the content of a SOAP header.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Property
  4.0.0.0
  System.String To be added.

  If this property is empty, the header is interpreted as targeted for the ultimate recipient of the message.

  Gets or sets the targeted recipient of the message header.

- Property
  4.0.0.0
  T To be added. To be added.

  Gets or sets the content of the header.

- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageHeader `` `` To be added.

  Gets the message header with the specified namespace and local name.

  A message header with the specified namespace and local name.

  The local name of the header XML element The namespace URI of the header XML element.
- Property
  4.0.0.0
  System.Boolean To be added.

  If this property is true and the message receiver cannot interpret the message header, the message is not processed and an exception is thrown. If this property is false, the receiver can ignore the message header and continue processing.

  Gets or sets a value that indicates whether the header must be understood, as stated in the SOAP 1.1/1.2 specification.

- Property
  4.0.0.0
  System.Boolean To be added.

  As stated in the SOAP 1.1 spec, this value is always false.

  Gets a value that indicates whether the header should be relayed.